Subject: [bug-diffutils] bug#34376: How to submit a bug fix?

From: Paul Eggert <[email-masked]>
Date: Fri, 19 Jul 2019 14:12:02 -0700

Richard Gering wrote:
> Are you interested in receiving these fixes? If so, how would you like me to submit them? Create a patch file or send the modified source files (small) in their entirety.

A patch file would be better. 'git format-patch' generates a good format; the 
attached patch uses that format.

system.h says this:

    It's possible for two distinct files on a buggy file system to have
    the same attributes, but it's not worth slowing down all
    implementations (or complicating the configuration) to cater to
    these rare cases in buggy implementations.

Please keep that in mind when proposing a patch.

> I'm curious how gnulib-tests/setlocale.c is supposed to get compiled, as the code relies on a localename.h file that is neither included nor generated, and I couldn't find any documentation towards this file either

Thanks for reporting that. I installed the attached patch to work around the 
problem.
>From 73b78140bb8ab6e125f3cced7e37624b6384d7a4 Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Fri, 19 Jul 2019 14:09:53 -0700
Subject: [PATCH] maint: avoid Gnulib setlocale module
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Problem reported for MS-Windows by Richard Gering (Bug#34376).
Diffutils doesn’t need any of the Gnulib fixes for setlocale.
* bootstrap.conf (gnulib_tool_option_extras):
Avoid the setlocale module.
---
 bootstrap.conf | 1 +
 1 file changed, 1 insertion(+)

diff --git a/bootstrap.conf b/bootstrap.conf
index 4671349..7d5ea62 100644
--- a/bootstrap.conf
+++ b/bootstrap.conf
@@ -101,6 +101,7 @@ XGETTEXT_OPTIONS=$XGETTEXT_OPTIONS'\\\
 gnulib_tool_option_extras="--tests-base=gnulib-tests --with-tests
   --avoid=localename
   --avoid=lock
+  --avoid=setlocale
   --symlink
   --makefile-name=gnulib.mk
 "
-- 
2.17.1